Description: Patch tests for markdown
 Using markdown rather than markdown2 Python library causes minor
 discrepances.
Author: Paolo Greppi <paolo.greppi@libpf.com>
Last-Update: 2017-05-24

Index: python-ramlfications/tests/test_parser.py
===================================================================
--- python-ramlfications.orig/tests/test_parser.py
+++ python-ramlfications/tests/test_parser.py
@@ -61,11 +61,11 @@ def test_docs(root):
     assert exp_content == root.documentation[0].content.raw
     assert exp_content == repr(root.documentation[0].content)
 
-    title_html = "<p>Example Web API Docs</p>\n"
+    title_html = "<p>Example Web API Docs</p>"
     content_html = ("<p>Welcome to the <em>Example Web API</em> demo "
                     "specification. This is <em>not</em> the complete API\n"
                     "specification, and is meant for testing purposes within "
-                    "this RAML specification.</p>\n")
+                    "this RAML specification.</p>")
     assert title_html == root.documentation[0].title.html
     assert content_html == root.documentation[0].content.html
 
@@ -73,7 +73,7 @@ def test_docs(root):
 def test_base_uri_params(root):
     exp_name = "subdomain"
     exp_desc = "subdomain of API"
-    exp_desc_html = "<p>subdomain of API</p>\n"
+    exp_desc_html = "<p>subdomain of API</p>"
     exp_default = "api"
 
     assert exp_name == root.base_uri_params[0].name
@@ -289,7 +289,7 @@ def test_trait_headers(traits):
     trait = traits[0]
     assert trait.headers[0].name == "X-example-header"
     assert trait.headers[0].description.raw == "An example of a trait header"
-    html_desc = "<p>An example of a trait header</p>\n"
+    html_desc = "<p>An example of a trait header</p>"
     assert trait.headers[0].description.html == html_desc
 
 
@@ -310,7 +310,7 @@ def test_trait_uri_params(traits):
     assert trait.uri_params[0].description.raw == desc
     assert repr(trait.uri_params[0].description) == desc
 
-    desc_html = "<p>The community path URI params trait</p>\n"
+    desc_html = "<p>The community path URI params trait</p>"
     assert trait.uri_params[0].description.html == desc_html
 
 
@@ -1247,17 +1247,13 @@ meatball salami beef cow venison tail ba
     assert api.documentation[0].content.raw == markdown_raw

     markdown_html = """<h2>Foo</h2>
-
 <p><em>Bacon ipsum dolor</em> amet pork belly <em>doner</em> rump brisket. \
 <a href="https://baconipsum.com/?paras=1&amp;type=all-meat&amp;start-with-\
 lorem=1">Cupim jerky shoulder</a> ball tip, jowl bacon meatloaf shank \
 kielbasa turducken corned beef beef turkey porchetta.</p>
-
 <h3>Doner meatball pork belly andouille drumstick sirloin</h3>
-
 <p>Porchetta picanha tail sirloin kielbasa, pig meatball short ribs drumstick \
 jowl. Brisket swine spare ribs picanha t-bone. Ball tip beef tenderloin jowl \
 doner andouille cupim meatball. Porchetta hamburger filet mignon jerky flank, \
-meatball salami beef cow venison tail ball tip pork belly.</p>
-"""
+meatball salami beef cow venison tail ball tip pork belly.</p>"""
     assert api.documentation[0].content.html == markdown_html
